"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireWildcard(require("react"));
var _box = _interopRequireDefault(require("../box/box"));
var _moti = require("moti");
var _styleFunctions = require("../../../theme/src/style-functions");
var _hooks = require("../../../hooks");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && Object.prototype.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
/**
 * Collapse is a component that provides an expandable view.
 */
const Collapse = /*#__PURE__*/_react.default.memo( /*#__PURE__*/_react.default.forwardRef(({
  children,
  show,
  animateOpacity = true,
  startingHeight = 0,
  transition = {},
  exitTransition = {},
  endingHeight = "auto",
  ...rest
}, ref) => {
  const actualHeightRef = (0, _react.useRef)(endingHeight);
  const computedStyles = (0, _hooks.useStyleProps)(rest, _styleFunctions.boxStyleFunctions);
  return /*#__PURE__*/_react.default.createElement(_moti.AnimatePresence, null, show && /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, /*#__PURE__*/_react.default.createElement(_moti.MotiView, _extends({
    ref: ref
  }, computedStyles, {
    from: {
      ...(animateOpacity && {
        opacity: 0
      }),
      height: startingHeight
    },
    animate: {
      ...(animateOpacity && {
        opacity: 1
      }),
      height: actualHeightRef.current
    },
    transition: {
      dampingRatio: 1,
      duration: 150,
      ...transition,
      type: "spring"
    },
    exit: {
      ...(animateOpacity && {
        opacity: 0
      }),
      height: startingHeight
    },
    exitTransition: {
      dampingRatio: 1,
      duration: 150,
      ...exitTransition,
      type: "spring"
    }
  }), /*#__PURE__*/_react.default.createElement(_box.default, {
    onLayout: ({
      nativeEvent
    }) => {
      const currentHeight = nativeEvent.layout.height + (computedStyles.style.paddingTop || 0) + (computedStyles.style.paddingBottom || 0);
      if (typeof actualHeightRef.current === "string" || currentHeight > actualHeightRef.current) actualHeightRef.current = Math.ceil(currentHeight);
    }
  }, children))));
}));
Collapse.displayName = "Collapse";
var _default = exports.default = Collapse;
//# sourceMappingURL=collapse.js.map