"use strict";

var _react = _interopRequireDefault(require("react"));
var _reactNative = require("@testing-library/react-native");
var _grid = _interopRequireDefault(require("./grid"));
var _themeContext = require("../../../theme/src/theme-context");
var _box = _interopRequireDefault(require("../box/box"));
var _text = _interopRequireDefault(require("../text/text"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
jest.useFakeTimers();
describe("Atoms/Grid", () => {
  it("passes the snapshot test with default props", () => {
    const tree = (0, _reactNative.render)( /*#__PURE__*/_react.default.createElement(_themeContext.ThemeProvider, null, /*#__PURE__*/_react.default.createElement(_grid.default, null, /*#__PURE__*/_react.default.createElement(_box.default, null, /*#__PURE__*/_react.default.createElement(_text.default, null, "Test"))))).toJSON();
    expect(tree).toMatchSnapshot();
  });
  it("passes the snapshot test with custom numCols", () => {
    const tree = (0, _reactNative.render)( /*#__PURE__*/_react.default.createElement(_themeContext.ThemeProvider, null, /*#__PURE__*/_react.default.createElement(_grid.default, {
      numCols: 3
    }, /*#__PURE__*/_react.default.createElement(_box.default, null, /*#__PURE__*/_react.default.createElement(_text.default, null, "Test")), /*#__PURE__*/_react.default.createElement(_box.default, null, /*#__PURE__*/_react.default.createElement(_text.default, null, "Test")), /*#__PURE__*/_react.default.createElement(_box.default, null, /*#__PURE__*/_react.default.createElement(_text.default, null, "Test"))))).toJSON();
    expect(tree).toMatchSnapshot();
  });
  it("passes the snapshot test with custom spacing", () => {
    const tree = (0, _reactNative.render)( /*#__PURE__*/_react.default.createElement(_themeContext.ThemeProvider, null, /*#__PURE__*/_react.default.createElement(_grid.default, {
      spacing: "5"
    }, /*#__PURE__*/_react.default.createElement(_box.default, null, /*#__PURE__*/_react.default.createElement(_text.default, null, "Test"))))).toJSON();
    expect(tree).toMatchSnapshot();
  });
  it("passes the snapshot test with custom spacingX", () => {
    const tree = (0, _reactNative.render)( /*#__PURE__*/_react.default.createElement(_themeContext.ThemeProvider, null, /*#__PURE__*/_react.default.createElement(_grid.default, {
      spacingX: "2"
    }, /*#__PURE__*/_react.default.createElement(_box.default, null, /*#__PURE__*/_react.default.createElement(_text.default, null, "Test"))))).toJSON();
    expect(tree).toMatchSnapshot();
  });
  it("passes the snapshot test with custom spacingY", () => {
    const tree = (0, _reactNative.render)( /*#__PURE__*/_react.default.createElement(_themeContext.ThemeProvider, null, /*#__PURE__*/_react.default.createElement(_grid.default, {
      spacingY: "2"
    }, /*#__PURE__*/_react.default.createElement(_box.default, null, /*#__PURE__*/_react.default.createElement(_text.default, null, "Test"))))).toJSON();
    expect(tree).toMatchSnapshot();
  });
});
//# sourceMappingURL=grid.spec.js.map