"use strict";

var _react = _interopRequireDefault(require("react"));
var _reactNative = require("@testing-library/react-native");
var _slideFade = _interopRequireDefault(require("./slide-fade"));
var _text = _interopRequireDefault(require("../text/text"));
var _themeContext = require("../../../theme/src/theme-context");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
jest.useFakeTimers();
describe("Atoms/SlideFade", () => {
  it("passes the snapshot test when show is true", () => {
    const tree = (0, _reactNative.render)( /*#__PURE__*/_react.default.createElement(_themeContext.ThemeProvider, null, /*#__PURE__*/_react.default.createElement(_slideFade.default, {
      show: true
    }, /*#__PURE__*/_react.default.createElement(_text.default, null, "This is a test")))).toJSON();
    expect(tree).toMatchSnapshot();
  });
  it("passes the snapshot test when show is false", () => {
    const tree = (0, _reactNative.render)( /*#__PURE__*/_react.default.createElement(_themeContext.ThemeProvider, null, /*#__PURE__*/_react.default.createElement(_slideFade.default, {
      show: false
    }, /*#__PURE__*/_react.default.createElement(_text.default, null, "This is a test")))).toJSON();
    expect(tree).toMatchSnapshot();
  });
  it("passes the snapshot test when offsetX is set", () => {
    const tree = (0, _reactNative.render)( /*#__PURE__*/_react.default.createElement(_themeContext.ThemeProvider, null, /*#__PURE__*/_react.default.createElement(_slideFade.default, {
      show: true,
      offsetX: 10
    }, /*#__PURE__*/_react.default.createElement(_text.default, null, "This is a test")))).toJSON();
    expect(tree).toMatchSnapshot();
  });
  it("passes the snapshot test when offsetY is set", () => {
    const tree = (0, _reactNative.render)( /*#__PURE__*/_react.default.createElement(_themeContext.ThemeProvider, null, /*#__PURE__*/_react.default.createElement(_slideFade.default, {
      show: true,
      offsetY: 20
    }, /*#__PURE__*/_react.default.createElement(_text.default, null, "This is a test")))).toJSON();
    expect(tree).toMatchSnapshot();
  });
});
//# sourceMappingURL=slide-fade.spec.js.map