"use strict";

var _react = _interopRequireDefault(require("react"));
var _reactNative = require("@testing-library/react-native");
var _slide = _interopRequireDefault(require("./slide"));
var _text = _interopRequireDefault(require("../text/text"));
var _themeContext = require("../../../theme/src/theme-context");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
jest.useFakeTimers();
describe("Atoms/Slide", () => {
  it("passes the snapshot test when show is true", () => {
    const tree = (0, _reactNative.render)( /*#__PURE__*/_react.default.createElement(_themeContext.ThemeProvider, null, /*#__PURE__*/_react.default.createElement(_slide.default, {
      show: true
    }, /*#__PURE__*/_react.default.createElement(_text.default, null, "This is a test")))).toJSON();
    expect(tree).toMatchSnapshot();
  });
  it("passes the snapshot test when show is false", () => {
    const tree = (0, _reactNative.render)( /*#__PURE__*/_react.default.createElement(_themeContext.ThemeProvider, null, /*#__PURE__*/_react.default.createElement(_slide.default, {
      show: false
    }, /*#__PURE__*/_react.default.createElement(_text.default, null, "This is a test")))).toJSON();
    expect(tree).toMatchSnapshot();
  });
  it("passes the snapshot test when direction is set", () => {
    const tree = (0, _reactNative.render)( /*#__PURE__*/_react.default.createElement(_themeContext.ThemeProvider, null, /*#__PURE__*/_react.default.createElement(_slide.default, {
      show: true,
      direction: "left"
    }, /*#__PURE__*/_react.default.createElement(_text.default, null, "This is a test")))).toJSON();
    expect(tree).toMatchSnapshot();
  });
});
//# sourceMappingURL=slide.spec.js.map