"use strict";

var _react = _interopRequireDefault(require("react"));
var _text = _interopRequireDefault(require("./text"));
var _reactNative = require("@testing-library/react-native");
var _themeContext = require("../../../theme/src/theme-context");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
jest.useFakeTimers();
describe("Atoms/Text", () => {
  it("passes the snapshot test", () => {
    const component = (0, _reactNative.render)( /*#__PURE__*/_react.default.createElement(_themeContext.ThemeProvider, null, /*#__PURE__*/_react.default.createElement(_text.default, null, "Hi I am a text")));
    expect(component).toMatchSnapshot();
  });
  it("should render text passed to children", () => {
    const component = (0, _reactNative.render)( /*#__PURE__*/_react.default.createElement(_themeContext.ThemeProvider, null, /*#__PURE__*/_react.default.createElement(_text.default, null, "Hi I am a text")));
    expect(component.queryByText("Hi I am a text")).toBeTruthy();
  });
  it("should render text with different font sizes", () => {
    const component = (0, _reactNative.render)( /*#__PURE__*/_react.default.createElement(_themeContext.ThemeProvider, null, /*#__PURE__*/_react.default.createElement(_text.default, {
      fontSize: 20
    }, "Hi I am a text")));
    expect(component.queryByText("Hi I am a text")).toBeTruthy();
  });
  it("should render text with different font weights", () => {
    const component = (0, _reactNative.render)( /*#__PURE__*/_react.default.createElement(_themeContext.ThemeProvider, null, /*#__PURE__*/_react.default.createElement(_text.default, {
      fontWeight: "bold"
    }, "Hi I am a text")));
    expect(component.queryByText("Hi I am a text")).toBeTruthy();
  });
  it("should render text with different font styles", () => {
    const component = (0, _reactNative.render)( /*#__PURE__*/_react.default.createElement(_themeContext.ThemeProvider, null, /*#__PURE__*/_react.default.createElement(_text.default, {
      fontStyle: "italic"
    }, "Hi I am a text")));
    expect(component.queryByText("Hi I am a text")).toBeTruthy();
  });
});
//# sourceMappingURL=text.spec.js.map