"use strict";

var _react = _interopRequireDefault(require("react"));
var _reactNative = require("@testing-library/react-native");
var _accordion = _interopRequireWildcard(require("./accordion"));
var _themeContext = require("../../../theme/src/theme-context");
var _text = _interopRequireDefault(require("../../atoms/text/text"));
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && Object.prototype.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
jest.useFakeTimers();
describe("Molecules/Accordion", () => {
  it("passes the snapshot test with default props", () => {
    const tree = (0, _reactNative.render)( /*#__PURE__*/_react.default.createElement(_themeContext.ThemeProvider, null, /*#__PURE__*/_react.default.createElement(_accordion.default, null, /*#__PURE__*/_react.default.createElement(_accordion.AccordionItem, null, /*#__PURE__*/_react.default.createElement(_accordion.AccordionButton, null, /*#__PURE__*/_react.default.createElement(_text.default, null, "Test")), /*#__PURE__*/_react.default.createElement(_accordion.AccordionPanel, null, /*#__PURE__*/_react.default.createElement(_text.default, null, "Test")))))).toJSON();
    expect(tree).toMatchSnapshot();
  });
  it("passes the snapshot test with multiple items", () => {
    const tree = (0, _reactNative.render)( /*#__PURE__*/_react.default.createElement(_themeContext.ThemeProvider, null, /*#__PURE__*/_react.default.createElement(_accordion.default, null, /*#__PURE__*/_react.default.createElement(_accordion.AccordionItem, null, /*#__PURE__*/_react.default.createElement(_accordion.AccordionButton, null, /*#__PURE__*/_react.default.createElement(_text.default, null, "Test")), /*#__PURE__*/_react.default.createElement(_accordion.AccordionPanel, null, /*#__PURE__*/_react.default.createElement(_text.default, null, "Test"))), /*#__PURE__*/_react.default.createElement(_accordion.AccordionItem, null, /*#__PURE__*/_react.default.createElement(_accordion.AccordionButton, null, /*#__PURE__*/_react.default.createElement(_text.default, null, "Test")), /*#__PURE__*/_react.default.createElement(_accordion.AccordionPanel, null, /*#__PURE__*/_react.default.createElement(_text.default, null, "Test")))))).toJSON();
    expect(tree).toMatchSnapshot();
  });
  it("passes the snapshot test with allowMultiple prop", () => {
    const tree = (0, _reactNative.render)( /*#__PURE__*/_react.default.createElement(_themeContext.ThemeProvider, null, /*#__PURE__*/_react.default.createElement(_accordion.default, {
      allowMultiple: true
    }, /*#__PURE__*/_react.default.createElement(_accordion.AccordionItem, null, /*#__PURE__*/_react.default.createElement(_accordion.AccordionButton, null, /*#__PURE__*/_react.default.createElement(_text.default, null, "Test")), /*#__PURE__*/_react.default.createElement(_accordion.AccordionPanel, null, /*#__PURE__*/_react.default.createElement(_text.default, null, "Test"))), /*#__PURE__*/_react.default.createElement(_accordion.AccordionItem, null, /*#__PURE__*/_react.default.createElement(_accordion.AccordionButton, null, /*#__PURE__*/_react.default.createElement(_text.default, null, "Test")), /*#__PURE__*/_react.default.createElement(_accordion.AccordionPanel, null, /*#__PURE__*/_react.default.createElement(_text.default, null, "Test")))))).toJSON();
    expect(tree).toMatchSnapshot();
  });
  it("passes the snapshot test with allowToggle prop", () => {
    const tree = (0, _reactNative.render)( /*#__PURE__*/_react.default.createElement(_themeContext.ThemeProvider, null, /*#__PURE__*/_react.default.createElement(_accordion.default, {
      allowToggle: true
    }, /*#__PURE__*/_react.default.createElement(_accordion.AccordionItem, null, /*#__PURE__*/_react.default.createElement(_accordion.AccordionButton, null, /*#__PURE__*/_react.default.createElement(_text.default, null, "Test")), /*#__PURE__*/_react.default.createElement(_accordion.AccordionPanel, null, /*#__PURE__*/_react.default.createElement(_text.default, null, "Test")))))).toJSON();
    expect(tree).toMatchSnapshot();
  });
});
//# sourceMappingURL=accordion.spec.js.map