"use strict";

var _react = _interopRequireDefault(require("react"));
var _reactNative = require("@testing-library/react-native");
var _switch = _interopRequireDefault(require("./switch"));
var _themeContext = require("../../../theme/src/theme-context");
var _text = _interopRequireDefault(require("../../atoms/text/text"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
jest.useFakeTimers();
describe("Molecules/Switch", () => {
  it("passes the snapshot test with default props", () => {
    const tree = (0, _reactNative.render)( /*#__PURE__*/_react.default.createElement(_themeContext.ThemeProvider, null, /*#__PURE__*/_react.default.createElement(_switch.default, null, /*#__PURE__*/_react.default.createElement(_text.default, null, "Test")))).toJSON();
    expect(tree).toMatchSnapshot();
  });
  it("passes the snapshot test with isChecked prop", () => {
    const tree = (0, _reactNative.render)( /*#__PURE__*/_react.default.createElement(_themeContext.ThemeProvider, null, /*#__PURE__*/_react.default.createElement(_switch.default, {
      isChecked: true
    }, /*#__PURE__*/_react.default.createElement(_text.default, null, "Test")))).toJSON();
    expect(tree).toMatchSnapshot();
  });
  it("passes the snapshot test with isDisabled prop", () => {
    const tree = (0, _reactNative.render)( /*#__PURE__*/_react.default.createElement(_themeContext.ThemeProvider, null, /*#__PURE__*/_react.default.createElement(_switch.default, {
      isDisabled: true
    }, /*#__PURE__*/_react.default.createElement(_text.default, null, "Test")))).toJSON();
    expect(tree).toMatchSnapshot();
  });
  it("checks if Switch is disabled", async () => {
    const onPress = jest.fn();
    const {
      getByTestId
    } = await (0, _reactNative.render)( /*#__PURE__*/_react.default.createElement(_themeContext.ThemeProvider, null, /*#__PURE__*/_react.default.createElement(_switch.default, {
      isDisabled: true,
      testID: "testOnPress",
      onPress: onPress
    }, /*#__PURE__*/_react.default.createElement(_text.default, null, "Test"))));
    const switchInstance = getByTestId("testOnPress");
    _reactNative.fireEvent.press(switchInstance);
    expect(onPress).toHaveBeenCalledTimes(0);
  });
});
//# sourceMappingURL=switch.spec.js.map