import React from "react";
import Box from "./box";
import Text from "../text/text";
import { render } from "@testing-library/react-native";
import { ThemeProvider } from "../../../theme/src/theme-context";
jest.useFakeTimers();
describe("Atoms/Box", () => {
  it("passes the basic snapshot test", () => {
    const tree = render( /*#__PURE__*/React.createElement(ThemeProvider, null, /*#__PURE__*/React.createElement(Box, {
      w: 10,
      h: 10
    }))).toJSON();
    expect(tree).toMatchSnapshot();
  });
  it("renders the correct text", () => {
    const {
      getByText
    } = render( /*#__PURE__*/React.createElement(ThemeProvider, null, /*#__PURE__*/React.createElement(Box, null, /*#__PURE__*/React.createElement(Text, null, "Test Text"))));
    expect(getByText("Test Text")).toBeTruthy();
  });
  it("renders correctly with different props", () => {
    const tree = render( /*#__PURE__*/React.createElement(ThemeProvider, null, /*#__PURE__*/React.createElement(Box, {
      bgColor: "red"
    }, "Test Text"))).toJSON();
    expect(tree).toMatchSnapshot();
  });
});
//# sourceMappingURL=box.spec.js.map