import React from "react";
import { render } from "@testing-library/react-native";
import Collapse from "./collapse";
import Text from "../text/text";
import { ThemeProvider } from "../../../theme/src/theme-context";
jest.useFakeTimers();
describe("Atoms/Collapse", () => {
  it("passes the snapshot test when show is true", () => {
    const tree = render( /*#__PURE__*/React.createElement(ThemeProvider, null, /*#__PURE__*/React.createElement(Collapse, {
      show: true
    }, /*#__PURE__*/React.createElement(Text, null, "This is a test")))).toJSON();
    expect(tree).toMatchSnapshot();
  });
  it("passes the snapshot test when show is false", () => {
    const tree = render( /*#__PURE__*/React.createElement(ThemeProvider, null, /*#__PURE__*/React.createElement(Collapse, {
      show: false
    }, /*#__PURE__*/React.createElement(Text, null, "This is a test")))).toJSON();
    expect(tree).toMatchSnapshot();
  });
});
//# sourceMappingURL=collapse.spec.js.map