import React from "react";
import { render } from "@testing-library/react-native";
import Slide from "./slide";
import Text from "../text/text";
import { ThemeProvider } from "../../../theme/src/theme-context";
jest.useFakeTimers();
describe("Atoms/Slide", () => {
  it("passes the snapshot test when show is true", () => {
    const tree = render( /*#__PURE__*/React.createElement(ThemeProvider, null, /*#__PURE__*/React.createElement(Slide, {
      show: true
    }, /*#__PURE__*/React.createElement(Text, null, "This is a test")))).toJSON();
    expect(tree).toMatchSnapshot();
  });
  it("passes the snapshot test when show is false", () => {
    const tree = render( /*#__PURE__*/React.createElement(ThemeProvider, null, /*#__PURE__*/React.createElement(Slide, {
      show: false
    }, /*#__PURE__*/React.createElement(Text, null, "This is a test")))).toJSON();
    expect(tree).toMatchSnapshot();
  });
  it("passes the snapshot test when direction is set", () => {
    const tree = render( /*#__PURE__*/React.createElement(ThemeProvider, null, /*#__PURE__*/React.createElement(Slide, {
      show: true,
      direction: "left"
    }, /*#__PURE__*/React.createElement(Text, null, "This is a test")))).toJSON();
    expect(tree).toMatchSnapshot();
  });
});
//# sourceMappingURL=slide.spec.js.map