import React from "react";
import { render } from "@testing-library/react-native";
import Alert from "./alert";
import { ThemeProvider } from "../../../theme/src/theme-context";
import Text from "../../atoms/text/text";
jest.useFakeTimers();
describe("Molecules/Alert", () => {
  it("passes the snapshot test with default props", () => {
    const tree = render( /*#__PURE__*/React.createElement(ThemeProvider, null, /*#__PURE__*/React.createElement(Alert, null, /*#__PURE__*/React.createElement(Text, null, "Test")))).toJSON();
    expect(tree).toMatchSnapshot();
  });
  it("passes the snapshot test with title prop", () => {
    const tree = render( /*#__PURE__*/React.createElement(ThemeProvider, null, /*#__PURE__*/React.createElement(Alert, {
      title: "Test Title"
    }, /*#__PURE__*/React.createElement(Text, null, "Test")))).toJSON();
    expect(tree).toMatchSnapshot();
  });
  it("passes the snapshot test with description prop", () => {
    const tree = render( /*#__PURE__*/React.createElement(ThemeProvider, null, /*#__PURE__*/React.createElement(Alert, {
      description: "Test Description"
    }, /*#__PURE__*/React.createElement(Text, null, "Test")))).toJSON();
    expect(tree).toMatchSnapshot();
  });
  it("passes the snapshot test with withCloseButton prop", () => {
    const tree = render( /*#__PURE__*/React.createElement(ThemeProvider, null, /*#__PURE__*/React.createElement(Alert, {
      withCloseButton: true
    }, /*#__PURE__*/React.createElement(Text, null, "Test")))).toJSON();
    expect(tree).toMatchSnapshot();
  });
});
//# sourceMappingURL=alert.spec.js.map