import React from "react";
import { BoxProps } from "../box/box";
export type ListProps = BoxProps & {
    /**
     * Icon to be displayed in the list.
     */
    renderIcon?: (index: number) => React.ReactElement;
};
/**
 * List is a layout component that arranges its children into a list.
 * Each child is given an equal amount of space.
 * An optional icon can be displayed next to each child.
 */
declare const List: React.MemoExoticComponent<React.ForwardRefExoticComponent<Omit<ListProps, "ref"> & React.RefAttributes<unknown>>>;
/**
 * OrderedList is a layout component that arranges its children into an ordered list.
 */
export declare const OrderedList: React.MemoExoticComponent<React.ForwardRefExoticComponent<Omit<ListProps, "ref"> & React.RefAttributes<unknown>>>;
/**
 * UnorderedList is a layout component that arranges its children into an unordered list.
 */
export declare const UnorderedList: React.MemoExoticComponent<React.ForwardRefExoticComponent<Omit<ListProps, "ref"> & React.RefAttributes<unknown>>>;
export default List;
//# sourceMappingURL=list.d.ts.map